---
title: 'Installation'
license: 'CC-BY-SA-4.0'
---

Forgejo publishes a stable release every three months and a long term support
(LTS) release every year. Patch releases are published more frequently and
provide fixes for bugs and security vulnerabilities. Please review the
[releases management](../../developer/release) and
also the
[Forgejo versioning scheme](../../user/versions) documentation for further
information.

Get started in a few simple steps:

1. set up Forgejo on your system ...
   - [from binary](../installation-binary/)
   - [with Docker](../installation-docker/)
   - with third-party packaging for various platforms [(see the "Delightful Forgejo" list)](https://codeberg.org/forgejo-contrib/delightful-forgejo#packaging). Unlike the two official installation methods, these resources are not extensively tested to work on every release.
2. connect to the web interface and complete the configuration, and,
3. register the first user which will be granted administrative permissions.

If you already have Gitea installed through your package manager, look at the [Gitea
migration](../gitea-migration/) guide for information on how to install Forgejo, while
preserving your data from your Gitea installation.
